#!/bin/bash

udev_rul(){
#Правила udev для Epson t88v принетера
cat <<EOF >/etc/udev/rules.d/85-epson.rules
KERNEL=="lp[0-9]*", SUBSYSTEMS=="usb", ATTRS{product}=="TM-T88V", SYMLINK+="t88v"
EOF
udevadm control --reload-rules
echo
echo "Правило создано"
}

eps_install () {
snpolctl -p service_mgr -c services,cupsd,1
snpolctl -p service_mgr -c services,sncupsd,0

chmod +x install.sh

expect -f- << EOF
set timeout -1
spawn ./install.sh
expect "*1]?"		{send 1\r}
expect "*key."		{send -- "*\r"}
expect eof
EOF

echo "Драйвер установлен, подключаем принтер"
sleep 1
sed -i 's/#FileDevice No/FileDevice Yes/' /etc/cups/cups-files.conf
sed -i 's/SystemGroup sys root/SystemGroup sys root lp/' /etc/cups/cups-files.conf
usermod user -a -G lp

systemctl stop cups && systemctl start cups
sleep 1

lpadmin -p Epson -E -v file:/dev/t88v -P ppd/tm-ba-thermal-rastertotmt.ppd.gz -o printer-is-shared=false
echo "Принтер установлен, изменить параметры можно в настройках системы"
}


#=============================================

echo "Скрипт установки термопринтера Epson T88V"
echo "Система печати в SecretNet должна быть переключена"
echo "Если это не так: переключите, перезагрузите ПК и снова запустите установку"
echo
read -n 1 -p "Отключите принтер (а так же все другие если они есть) и нажмите Enter" ans1
udev_rul
echo

read -n 1 -p "Теперь подключите принтер и нажмите Enter:" req1
case "$req1" in
* ) eps_install;;
esac
